Loading...
Searching...
No Matches
AVOptionRanges Struct Reference
libavutil » Data Structures » AVOptions

List of AVOptionRange structs. More...

`#include <libavutil/opt.h>`

## Data Fields

AVOptionRange ** | range
| Array of option ranges.
int | nb_ranges
| Number of ranges per component.
int | nb_components
| Number of componentes.

## Detailed Description

List of AVOptionRange structs.

Definition at line 508 of file opt.h.

## Field Documentation

## range

AVOptionRange** AVOptionRanges::range

Array of option ranges.

Most of option types use just one component. Following describes multi-component option types:

AV_OPT_TYPE_IMAGE_SIZE: component index 0: range of pixel count (width * height). component index 1: range of width. component index 2: range of height.

Note
  To obtain multi-component version of this structure, user must provide AV_OPT_MULTI_COMPONENT_RANGE to av_opt_query_ranges or av_opt_query_ranges_default function.

Multi-component range can be read as in following example:

int range_index, component_index;
AVOptionRanges *ranges;
AVOptionRange *range[3]; //may require more than 3 in the future.
av_opt_query_ranges(&ranges, obj, key, AV_OPT_MULTI_COMPONENT_RANGE);
for (range_index = 0; range_index < ranges->nb_ranges; range_index++) {
for (component_index = 0; component_index < ranges->nb_components; component_index++)
range[component_index] = ranges->range[ranges->nb_ranges * component_index + range_index];
//do something with range here.
}
av_opt_freep_ranges(&ranges);
av_opt_freep_ranges
void av_opt_freep_ranges(AVOptionRanges **ranges)
Free an AVOptionRanges struct and set it to NULL.
av_opt_query_ranges
int av_opt_query_ranges(AVOptionRanges **, void *obj, const char *key, int flags)
Get a list of allowed ranges for the given option.
AV_OPT_MULTI_COMPONENT_RANGE
#define AV_OPT_MULTI_COMPONENT_RANGE
Allows av_opt_query_ranges and av_opt_query_ranges_default to return more than one component for cert...
Definition opt.h:632
AVOptionRange
A single allowed range of values, or a single allowed value.
Definition opt.h:485
AVOptionRanges
List of AVOptionRange structs.
Definition opt.h:508
AVOptionRanges::nb_ranges
int nb_ranges
Number of ranges per component.
Definition opt.h:543
AVOptionRanges::range
AVOptionRange ** range
Array of option ranges.
Definition opt.h:539
AVOptionRanges::nb_components
int nb_components
Number of componentes.
Definition opt.h:547

Definition at line 539 of file opt.h.

## nb_ranges

int AVOptionRanges::nb_ranges

Number of ranges per component.

Definition at line 543 of file opt.h.

## nb_components

int AVOptionRanges::nb_components

Number of componentes.

Definition at line 547 of file opt.h.

The documentation for this struct was generated from the following file:

- libavutil/opt.h